/*
								+---------------------------------+
								|                                 |
								|     ***   Rasterizer   ***      |
								|                                 |
								|  Copyright   -tHE SWINe- 2002  |
								|                                 |
								|            Raster.h             |
								|                                 |
								+---------------------------------+
*/

#ifndef __RASTER_INCLUDED
#define __RASTER_INCLUDED

void Init_Raster(int n_New_Width, int n_New_Height);

static void inline L_Line(int xa, int ya, int xb, int yb, unsigned __int32 *vram);
static void inline Wire_Polygon(Face *fac, unsigned __int32 *vram);
void DrawObject(Matrix *m_object, Matrix *m_camera,
        Object *p_object, unsigned __int32 *vram);

#endif